<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1" /><title>HttpMethodParams xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../apidocs/org/apache/commons/httpclient/params/HttpMethodParams.html">View Javadoc</a></div><pre>

<a name="1" href="#1">1</a>   <em class="comment">/*</em>
<a name="2" href="#2">2</a>   <em class="comment"> * $HeadURL: https://svn.apache.org/repos/asf/httpcomponents/oac.hc3x/trunk/src/java/org/apache/commons/httpclient/params/HttpMethodParams.java $</em>
<a name="3" href="#3">3</a>   <em class="comment"> * $Revision$</em>
<a name="4" href="#4">4</a>   <em class="comment"> * $Date$</em>
<a name="5" href="#5">5</a>   <em class="comment"> *</em>
<a name="6" href="#6">6</a>   <em class="comment"> * ====================================================================</em>
<a name="7" href="#7">7</a>   <em class="comment"> *</em>
<a name="8" href="#8">8</a>   <em class="comment"> *  Licensed to the Apache Software Foundation (ASF) under one or more</em>
<a name="9" href="#9">9</a>   <em class="comment"> *  contributor license agreements.  See the NOTICE file distributed with</em>
<a name="10" href="#10">10</a>  <em class="comment"> *  this work for additional information regarding copyright ownership.</em>
<a name="11" href="#11">11</a>  <em class="comment"> *  The ASF licenses this file to You under the Apache License, Version 2.0</em>
<a name="12" href="#12">12</a>  <em class="comment"> *  (the "License"); you may not use this file except in compliance with</em>
<a name="13" href="#13">13</a>  <em class="comment"> *  the License.  You may obtain a copy of the License at</em>
<a name="14" href="#14">14</a>  <em class="comment"> *</em>
<a name="15" href="#15">15</a>  <em class="comment"> *      <a href="http://www.apache.org/licenses/LICENSE-2.0" target="alexandria_uri">http://www.apache.org/licenses/LICENSE-2.0</a></em>
<a name="16" href="#16">16</a>  <em class="comment"> *</em>
<a name="17" href="#17">17</a>  <em class="comment"> *  Unless required by applicable law or agreed to in writing, software</em>
<a name="18" href="#18">18</a>  <em class="comment"> *  distributed under the License is distributed on an "AS IS" BASIS,</em>
<a name="19" href="#19">19</a>  <em class="comment"> *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.</em>
<a name="20" href="#20">20</a>  <em class="comment"> *  See the License for the specific language governing permissions and</em>
<a name="21" href="#21">21</a>  <em class="comment"> *  limitations under the License.</em>
<a name="22" href="#22">22</a>  <em class="comment"> * ====================================================================</em>
<a name="23" href="#23">23</a>  <em class="comment"> *</em>
<a name="24" href="#24">24</a>  <em class="comment"> * This software consists of voluntary contributions made by many</em>
<a name="25" href="#25">25</a>  <em class="comment"> * individuals on behalf of the Apache Software Foundation.  For more</em>
<a name="26" href="#26">26</a>  <em class="comment"> * information on the Apache Software Foundation, please see</em>
<a name="27" href="#27">27</a>  <em class="comment"> * &lt;<a href="http://www.apache.org/" target="alexandria_uri">http://www.apache.org/</a>>.</em>
<a name="28" href="#28">28</a>  <em class="comment"> *</em>
<a name="29" href="#29">29</a>  <em class="comment"> */</em>
<a name="30" href="#30">30</a>  
<a name="31" href="#31">31</a>  <strong>package</strong> <a href="../../../../../org/apache/commons/httpclient/params/package-summary.html">org.apache.commons.httpclient.params</a>;
<a name="32" href="#32">32</a>  
<a name="33" href="#33">33</a>  <strong>import</strong> org.apache.commons.httpclient.HttpVersion;
<a name="34" href="#34">34</a>  <strong>import</strong> org.apache.commons.httpclient.cookie.CookiePolicy;
<a name="35" href="#35">35</a>  <strong>import</strong> org.apache.commons.logging.Log;
<a name="36" href="#36">36</a>  <strong>import</strong> org.apache.commons.logging.LogFactory;
<a name="37" href="#37">37</a>  
<a name="38" href="#38">38</a>  <em>/**<em>*</em></em>
<a name="39" href="#39">39</a>  <em> * This class represents a collection of HTTP protocol parameters applicable to </em>
<a name="40" href="#40">40</a>  <em> * {@link org.apache.commons.httpclient.HttpMethod HTTP methods}. Protocol </em>
<a name="41" href="#41">41</a>  <em> * parameters may be linked together to form a hierarchy. If a particular </em>
<a name="42" href="#42">42</a>  <em> * parameter value has not been explicitly defined in the collection itself, </em>
<a name="43" href="#43">43</a>  <em> * its value will be drawn from the parent collection of parameters.</em>
<a name="44" href="#44">44</a>  <em> * </em>
<a name="45" href="#45">45</a>  <em> * @author &lt;a href="<a href="mailto:oleg@ural.ru" target="alexandria_uri">mailto:oleg@ural.ru</a>">Oleg Kalnichevski&lt;/a></em>
<a name="46" href="#46">46</a>  <em> * @author Christian Kohlschuetter</em>
<a name="47" href="#47">47</a>  <em> * </em>
<a name="48" href="#48">48</a>  <em> * @version $Revision$</em>
<a name="49" href="#49">49</a>  <em> * </em>
<a name="50" href="#50">50</a>  <em> * @since 3.0</em>
<a name="51" href="#51">51</a>  <em> */</em>
<a name="52" href="#52">52</a>  <strong>public</strong> <strong>class</strong> <a href="../../../../../org/apache/commons/httpclient/params/HttpMethodParams.html">HttpMethodParams</a> <strong>extends</strong> <a href="../../../../../org/apache/commons/httpclient/params/DefaultHttpParams.html">DefaultHttpParams</a> {
<a name="53" href="#53">53</a>  
<a name="54" href="#54">54</a>      <em>/**<em>* Log object for this class. */</em></em>
<a name="55" href="#55">55</a>      <strong>private</strong> <strong>static</strong> <strong>final</strong> Log LOG = LogFactory.getLog(HttpMethodParams.<strong>class</strong>);
<a name="56" href="#56">56</a>  
<a name="57" href="#57">57</a>      <em>/**<em>*</em></em>
<a name="58" href="#58">58</a>  <em>     * Defines the content of the &lt;tt>User-Agent&lt;/tt> header used by  </em>
<a name="59" href="#59">59</a>  <em>     * {@link org.apache.commons.httpclient.HttpMethod HTTP methods}.</em>
<a name="60" href="#60">60</a>  <em>     * &lt;p></em>
<a name="61" href="#61">61</a>  <em>     * This parameter expects a value of type {@link String}.</em>
<a name="62" href="#62">62</a>  <em>     * &lt;/p></em>
<a name="63" href="#63">63</a>  <em>     */</em>
<a name="64" href="#64">64</a>      <strong>public</strong> <strong>static</strong> <strong>final</strong> String USER_AGENT = <span class="string">"http.useragent"</span>; 
<a name="65" href="#65">65</a>  
<a name="66" href="#66">66</a>      <em>/**<em>*</em></em>
<a name="67" href="#67">67</a>  <em>     * Defines the {@link HttpVersion HTTP protocol version} used by  </em>
<a name="68" href="#68">68</a>  <em>     * {@link org.apache.commons.httpclient.HttpMethod HTTP methods} per</em>
<a name="69" href="#69">69</a>  <em>     * default.</em>
<a name="70" href="#70">70</a>  <em>     * &lt;p></em>
<a name="71" href="#71">71</a>  <em>     * This parameter expects a value of type {@link HttpVersion}.</em>
<a name="72" href="#72">72</a>  <em>     * &lt;/p></em>
<a name="73" href="#73">73</a>  <em>     */</em>
<a name="74" href="#74">74</a>      <strong>public</strong> <strong>static</strong> <strong>final</strong> String PROTOCOL_VERSION = <span class="string">"http.protocol.version"</span>; 
<a name="75" href="#75">75</a>  
<a name="76" href="#76">76</a>      <em>/**<em>*</em></em>
<a name="77" href="#77">77</a>  <em>     * Defines whether {@link org.apache.commons.httpclient.HttpMethod HTTP methods} should</em>
<a name="78" href="#78">78</a>  <em>     * reject ambiguous {@link org.apache.commons.httpclient.StatusLine HTTP status line}.</em>
<a name="79" href="#79">79</a>  <em>     * &lt;p></em>
<a name="80" href="#80">80</a>  <em>     * This parameter expects a value of type {@link Boolean}.</em>
<a name="81" href="#81">81</a>  <em>     * &lt;/p></em>
<a name="82" href="#82">82</a>  <em>     */</em>
<a name="83" href="#83">83</a>      <strong>public</strong> <strong>static</strong> <strong>final</strong> String UNAMBIGUOUS_STATUS_LINE = <span class="string">"http.protocol.unambiguous-statusline"</span>; 
<a name="84" href="#84">84</a>  
<a name="85" href="#85">85</a>      <em>/**<em>*</em></em>
<a name="86" href="#86">86</a>  <em>     * Defines whether {@link org.apache.commons.httpclient.Cookie cookies} should be put on </em>
<a name="87" href="#87">87</a>  <em>     * a single {@link org.apache.commons.httpclient.Header response header}.</em>
<a name="88" href="#88">88</a>  <em>     * &lt;p></em>
<a name="89" href="#89">89</a>  <em>     * This parameter expects a value of type {@link Boolean}.</em>
<a name="90" href="#90">90</a>  <em>     * &lt;/p></em>
<a name="91" href="#91">91</a>  <em>     */</em>
<a name="92" href="#92">92</a>      <strong>public</strong> <strong>static</strong> <strong>final</strong> String SINGLE_COOKIE_HEADER = <span class="string">"http.protocol.single-cookie-header"</span>; 
<a name="93" href="#93">93</a>  
<a name="94" href="#94">94</a>      <em>/**<em>*</em></em>
<a name="95" href="#95">95</a>  <em>     * Defines whether responses with an invalid &lt;tt>Transfer-Encoding&lt;/tt> header should be </em>
<a name="96" href="#96">96</a>  <em>     * rejected.</em>
<a name="97" href="#97">97</a>  <em>     * &lt;p></em>
<a name="98" href="#98">98</a>  <em>     * This parameter expects a value of type {@link Boolean}.</em>
<a name="99" href="#99">99</a>  <em>     * &lt;/p></em>
<a name="100" href="#100">100</a> <em>     */</em>
<a name="101" href="#101">101</a>     <strong>public</strong> <strong>static</strong> <strong>final</strong> String STRICT_TRANSFER_ENCODING = <span class="string">"http.protocol.strict-transfer-encoding"</span>; 
<a name="102" href="#102">102</a> 
<a name="103" href="#103">103</a>     <em>/**<em>*</em></em>
<a name="104" href="#104">104</a> <em>     * Defines whether the content body sent in response to </em>
<a name="105" href="#105">105</a> <em>     * {@link org.apache.commons.httpclient.methods.HeadMethod} should be rejected.</em>
<a name="106" href="#106">106</a> <em>     * &lt;p></em>
<a name="107" href="#107">107</a> <em>     * This parameter expects a value of type {@link Boolean}.</em>
<a name="108" href="#108">108</a> <em>     * &lt;/p></em>
<a name="109" href="#109">109</a> <em>     */</em>
<a name="110" href="#110">110</a>     <strong>public</strong> <strong>static</strong> <strong>final</strong> String REJECT_HEAD_BODY = <span class="string">"http.protocol.reject-head-body"</span>; 
<a name="111" href="#111">111</a> 
<a name="112" href="#112">112</a>     <em>/**<em>*</em></em>
<a name="113" href="#113">113</a> <em>     * Sets period of time in milliseconds to wait for a content body sent in response to </em>
<a name="114" href="#114">114</a> <em>     * {@link org.apache.commons.httpclient.methods.HeadMethod HEAD method} from a </em>
<a name="115" href="#115">115</a> <em>     * non-compliant server. If the parameter is not set or set to &lt;tt>-1&lt;/tt> non-compliant </em>
<a name="116" href="#116">116</a> <em>     * response body check is disabled.</em>
<a name="117" href="#117">117</a> <em>     * &lt;p></em>
<a name="118" href="#118">118</a> <em>     * This parameter expects a value of type {@link Integer}.</em>
<a name="119" href="#119">119</a> <em>     * &lt;/p></em>
<a name="120" href="#120">120</a> <em>     */</em>
<a name="121" href="#121">121</a>     <strong>public</strong> <strong>static</strong> <strong>final</strong> String HEAD_BODY_CHECK_TIMEOUT = <span class="string">"http.protocol.head-body-timeout"</span>; 
<a name="122" href="#122">122</a> 
<a name="123" href="#123">123</a>     <em>/**<em>*</em></em>
<a name="124" href="#124">124</a> <em>     * &lt;p></em>
<a name="125" href="#125">125</a> <em>     * Activates 'Expect: 100-Continue' handshake for the </em>
<a name="126" href="#126">126</a> <em>     * {@link org.apache.commons.httpclient.methods.ExpectContinueMethod </em>
<a name="127" href="#127">127</a> <em>     * entity enclosing methods}. The purpose of the 'Expect: 100-Continue'</em>
<a name="128" href="#128">128</a> <em>     * handshake to allow a client that is sending a request message with </em>
<a name="129" href="#129">129</a> <em>     * a request body to determine if the origin server is willing to </em>
<a name="130" href="#130">130</a> <em>     * accept the request (based on the request headers) before the client</em>
<a name="131" href="#131">131</a> <em>     * sends the request body.</em>
<a name="132" href="#132">132</a> <em>     * &lt;/p></em>
<a name="133" href="#133">133</a> <em>     * </em>
<a name="134" href="#134">134</a> <em>     * &lt;p></em>
<a name="135" href="#135">135</a> <em>     * The use of the 'Expect: 100-continue' handshake can result in </em>
<a name="136" href="#136">136</a> <em>     * noticable peformance improvement for entity enclosing requests</em>
<a name="137" href="#137">137</a> <em>     * (such as POST and PUT) that require the target server's </em>
<a name="138" href="#138">138</a> <em>     * authentication.</em>
<a name="139" href="#139">139</a> <em>     * &lt;/p></em>
<a name="140" href="#140">140</a> <em>     * </em>
<a name="141" href="#141">141</a> <em>     * &lt;p></em>
<a name="142" href="#142">142</a> <em>     * 'Expect: 100-continue' handshake should be used with </em>
<a name="143" href="#143">143</a> <em>     * caution, as it may cause problems with HTTP servers and </em>
<a name="144" href="#144">144</a> <em>     * proxies that do not support HTTP/1.1 protocol.</em>
<a name="145" href="#145">145</a> <em>     * &lt;/p></em>
<a name="146" href="#146">146</a> <em>     * </em>
<a name="147" href="#147">147</a> <em>     * This parameter expects a value of type {@link Boolean}.</em>
<a name="148" href="#148">148</a> <em>     */</em>
<a name="149" href="#149">149</a>     <strong>public</strong> <strong>static</strong> <strong>final</strong> String USE_EXPECT_CONTINUE = <span class="string">"http.protocol.expect-continue"</span>; 
<a name="150" href="#150">150</a> 
<a name="151" href="#151">151</a>     <em>/**<em>*</em></em>
<a name="152" href="#152">152</a> <em>     * Defines the charset to be used when encoding </em>
<a name="153" href="#153">153</a> <em>     * {@link org.apache.commons.httpclient.Credentials}. If not defined then the </em>
<a name="154" href="#154">154</a> <em>     * {@link #HTTP_ELEMENT_CHARSET} should be used.</em>
<a name="155" href="#155">155</a> <em>     * &lt;p></em>
<a name="156" href="#156">156</a> <em>     * This parameter expects a value of type {@link String}.</em>
<a name="157" href="#157">157</a> <em>     * &lt;/p></em>
<a name="158" href="#158">158</a> <em>     */</em>
<a name="159" href="#159">159</a>     <strong>public</strong> <strong>static</strong> <strong>final</strong> String CREDENTIAL_CHARSET = <span class="string">"http.protocol.credential-charset"</span>; 
<a name="160" href="#160">160</a>     
<a name="161" href="#161">161</a>     <em>/**<em>*</em></em>
<a name="162" href="#162">162</a> <em>     * Defines the charset to be used for encoding HTTP protocol elements.</em>
<a name="163" href="#163">163</a> <em>     * &lt;p></em>
<a name="164" href="#164">164</a> <em>     * This parameter expects a value of type {@link String}.</em>
<a name="165" href="#165">165</a> <em>     * &lt;/p></em>
<a name="166" href="#166">166</a> <em>     */</em>
<a name="167" href="#167">167</a>     <strong>public</strong> <strong>static</strong> <strong>final</strong> String HTTP_ELEMENT_CHARSET = <span class="string">"http.protocol.element-charset"</span>; 
<a name="168" href="#168">168</a>     
<a name="169" href="#169">169</a>     <em>/**<em>*</em></em>
<a name="170" href="#170">170</a> <em>     * Defines the charset to be used for parsing URIs.</em>
<a name="171" href="#171">171</a> <em>     * &lt;p></em>
<a name="172" href="#172">172</a> <em>     * This parameter expects a value of type {@link String}.</em>
<a name="173" href="#173">173</a> <em>     * &lt;/p></em>
<a name="174" href="#174">174</a> <em>     */</em>
<a name="175" href="#175">175</a>     <strong>public</strong> <strong>static</strong> <strong>final</strong> String HTTP_URI_CHARSET = <span class="string">"http.protocol.uri-charset"</span>; 
<a name="176" href="#176">176</a>     
<a name="177" href="#177">177</a>     <em>/**<em>*</em></em>
<a name="178" href="#178">178</a> <em>     * Defines the charset to be used for encoding content body.</em>
<a name="179" href="#179">179</a> <em>     * &lt;p></em>
<a name="180" href="#180">180</a> <em>     * This parameter expects a value of type {@link String}.</em>
<a name="181" href="#181">181</a> <em>     * &lt;/p></em>
<a name="182" href="#182">182</a> <em>     */</em>
<a name="183" href="#183">183</a>     <strong>public</strong> <strong>static</strong> <strong>final</strong> String HTTP_CONTENT_CHARSET = <span class="string">"http.protocol.content-charset"</span>; 
<a name="184" href="#184">184</a>     
<a name="185" href="#185">185</a>     <em>/**<em>*</em></em>
<a name="186" href="#186">186</a> <em>     * Defines {@link CookiePolicy cookie policy} to be used for cookie management.</em>
<a name="187" href="#187">187</a> <em>     * &lt;p></em>
<a name="188" href="#188">188</a> <em>     * This parameter expects a value of type {@link String}.</em>
<a name="189" href="#189">189</a> <em>     * &lt;/p></em>
<a name="190" href="#190">190</a> <em>     */</em>
<a name="191" href="#191">191</a>     <strong>public</strong> <strong>static</strong> <strong>final</strong> String COOKIE_POLICY = <span class="string">"http.protocol.cookie-policy"</span>;
<a name="192" href="#192">192</a>     
<a name="193" href="#193">193</a>     <em>/**<em>*</em></em>
<a name="194" href="#194">194</a> <em>     * Defines HttpClient's behavior when a response provides more bytes than</em>
<a name="195" href="#195">195</a> <em>     * expected (specified with Content-Length, for example).</em>
<a name="196" href="#196">196</a> <em>     * &lt;p></em>
<a name="197" href="#197">197</a> <em>     * Such surplus data makes the HTTP connection unreliable for keep-alive</em>
<a name="198" href="#198">198</a> <em>     * requests, as malicious response data (faked headers etc.) can lead to undesired</em>
<a name="199" href="#199">199</a> <em>     * results on the next request using that connection.</em>
<a name="200" href="#200">200</a> <em>     * &lt;/p></em>
<a name="201" href="#201">201</a> <em>     * &lt;p></em>
<a name="202" href="#202">202</a> <em>     * If this parameter is set to &lt;code>true&lt;/code>, any detection of extra</em>
<a name="203" href="#203">203</a> <em>     * input data will generate a warning in the log.</em>
<a name="204" href="#204">204</a> <em>     * &lt;/p></em>
<a name="205" href="#205">205</a> <em>     * &lt;p></em>
<a name="206" href="#206">206</a> <em>     * This parameter expects a value of type {@link Boolean}.</em>
<a name="207" href="#207">207</a> <em>     * &lt;/p></em>
<a name="208" href="#208">208</a> <em>     */</em>
<a name="209" href="#209">209</a>     <strong>public</strong> <strong>static</strong> <strong>final</strong> String WARN_EXTRA_INPUT = <span class="string">"http.protocol.warn-extra-input"</span>;
<a name="210" href="#210">210</a>     
<a name="211" href="#211">211</a>     <em>/**<em>*</em></em>
<a name="212" href="#212">212</a> <em>     * Defines the maximum number of ignorable lines before we expect</em>
<a name="213" href="#213">213</a> <em>     * a HTTP response's status code.</em>
<a name="214" href="#214">214</a> <em>     * &lt;p></em>
<a name="215" href="#215">215</a> <em>     * With HTTP/1.1 persistent connections, the problem arises that</em>
<a name="216" href="#216">216</a> <em>     * broken scripts could return a wrong Content-Length</em>
<a name="217" href="#217">217</a> <em>     * (there are more bytes sent than specified).&lt;br /></em>
<a name="218" href="#218">218</a> <em>     * Unfortunately, in some cases, this is not possible after the bad response,</em>
<a name="219" href="#219">219</a> <em>     * but only before the next one. &lt;br /></em>
<a name="220" href="#220">220</a> <em>     * So, HttpClient must be able to skip those surplus lines this way.</em>
<a name="221" href="#221">221</a> <em>     * &lt;/p></em>
<a name="222" href="#222">222</a> <em>     * &lt;p></em>
<a name="223" href="#223">223</a> <em>     * Set this to 0 to disallow any garbage/empty lines before the status line.&lt;br /></em>
<a name="224" href="#224">224</a> <em>     * To specify no limit, use {@link java.lang.Integer#MAX_VALUE} (default in lenient mode).</em>
<a name="225" href="#225">225</a> <em>     * &lt;/p></em>
<a name="226" href="#226">226</a> <em>     *  </em>
<a name="227" href="#227">227</a> <em>     * This parameter expects a value of type {@link Integer}.</em>
<a name="228" href="#228">228</a> <em>     */</em>
<a name="229" href="#229">229</a>     <strong>public</strong> <strong>static</strong> <strong>final</strong> String STATUS_LINE_GARBAGE_LIMIT = <span class="string">"http.protocol.status-line-garbage-limit"</span>;
<a name="230" href="#230">230</a> 
<a name="231" href="#231">231</a>     <em>/**<em>*</em></em>
<a name="232" href="#232">232</a> <em>     * Sets the socket timeout (&lt;tt>SO_TIMEOUT&lt;/tt>) in milliseconds to be used when executing the method. </em>
<a name="233" href="#233">233</a> <em>     * A timeout value of zero is interpreted as an infinite timeout.</em>
<a name="234" href="#234">234</a> <em>     * &lt;p></em>
<a name="235" href="#235">235</a> <em>     * This parameter expects a value of type {@link Integer}.</em>
<a name="236" href="#236">236</a> <em>     * &lt;/p></em>
<a name="237" href="#237">237</a> <em>     * @see java.net.SocketOptions#SO_TIMEOUT</em>
<a name="238" href="#238">238</a> <em>     */</em>
<a name="239" href="#239">239</a>     <strong>public</strong> <strong>static</strong> <strong>final</strong> String SO_TIMEOUT = <span class="string">"http.socket.timeout"</span>; 
<a name="240" href="#240">240</a> 
<a name="241" href="#241">241</a>     <em>/**<em>*</em></em>
<a name="242" href="#242">242</a> <em>     * The key used to look up the date patterns used for parsing. The String patterns are stored</em>
<a name="243" href="#243">243</a> <em>     * in a {@link java.util.Collection} and must be compatible with </em>
<a name="244" href="#244">244</a> <em>     * {@link java.text.SimpleDateFormat}.</em>
<a name="245" href="#245">245</a> <em>     * &lt;p></em>
<a name="246" href="#246">246</a> <em>     * This parameter expects a value of type {@link java.util.Collection}.</em>
<a name="247" href="#247">247</a> <em>     * &lt;/p></em>
<a name="248" href="#248">248</a> <em>     */</em>
<a name="249" href="#249">249</a>     <strong>public</strong> <strong>static</strong> <strong>final</strong> String DATE_PATTERNS = <span class="string">"http.dateparser.patterns"</span>;
<a name="250" href="#250">250</a> 
<a name="251" href="#251">251</a>     <em>/**<em>*</em></em>
<a name="252" href="#252">252</a> <em>     * Sets the method retry handler parameter.</em>
<a name="253" href="#253">253</a> <em>     * &lt;p></em>
<a name="254" href="#254">254</a> <em>     * This parameter expects a value of type {@link org.apache.commons.httpclient.HttpMethodRetryHandler}.</em>
<a name="255" href="#255">255</a> <em>     * &lt;/p></em>
<a name="256" href="#256">256</a> <em>     */</em> 
<a name="257" href="#257">257</a>     <strong>public</strong> <strong>static</strong> <strong>final</strong> String RETRY_HANDLER = <span class="string">"http.method.retry-handler"</span>;
<a name="258" href="#258">258</a>     
<a name="259" href="#259">259</a>     <em>/**<em>*</em></em>
<a name="260" href="#260">260</a> <em>     * Sets the maximum buffered response size (in bytes) that triggers no warning. Buffered</em>
<a name="261" href="#261">261</a> <em>     * responses exceeding this size will trigger a warning in the log.</em>
<a name="262" href="#262">262</a> <em>     * &lt;p></em>
<a name="263" href="#263">263</a> <em>     * This parameter expects a value if type {@link Integer}.</em>
<a name="264" href="#264">264</a> <em>     * &lt;/p></em>
<a name="265" href="#265">265</a> <em>     */</em>
<a name="266" href="#266">266</a>     <strong>public</strong> <strong>static</strong> <strong>final</strong> String BUFFER_WARN_TRIGGER_LIMIT = <span class="string">"http.method.response.buffer.warnlimit"</span>;
<a name="267" href="#267">267</a>     
<a name="268" href="#268">268</a>     <em>/**<em>*</em></em>
<a name="269" href="#269">269</a> <em>     * Defines the virtual host name.</em>
<a name="270" href="#270">270</a> <em>     * &lt;p></em>
<a name="271" href="#271">271</a> <em>     * This parameter expects a value of type {@link java.lang.String}. </em>
<a name="272" href="#272">272</a> <em>     * &lt;/p></em>
<a name="273" href="#273">273</a> <em>     */</em>
<a name="274" href="#274">274</a>     <strong>public</strong> <strong>static</strong> <strong>final</strong> String VIRTUAL_HOST = <span class="string">"http.virtual-host"</span>; 
<a name="275" href="#275">275</a> 
<a name="276" href="#276">276</a>     <em>/**<em>*</em></em>
<a name="277" href="#277">277</a> <em>     * Sets the value to use as the multipart boundary.</em>
<a name="278" href="#278">278</a> <em>     * &lt;p></em>
<a name="279" href="#279">279</a> <em>     * This parameter expects a value if type {@link String}.</em>
<a name="280" href="#280">280</a> <em>     * &lt;/p></em>
<a name="281" href="#281">281</a> <em>     * @see org.apache.commons.httpclient.methods.multipart.MultipartRequestEntity</em>
<a name="282" href="#282">282</a> <em>     */</em>
<a name="283" href="#283">283</a>     <strong>public</strong> <strong>static</strong> <strong>final</strong> String MULTIPART_BOUNDARY = <span class="string">"http.method.multipart.boundary"</span>;
<a name="284" href="#284">284</a>     
<a name="285" href="#285">285</a>     <em>/**<em>*</em></em>
<a name="286" href="#286">286</a> <em>     * Creates a new collection of parameters with the collection returned</em>
<a name="287" href="#287">287</a> <em>     * by {@link #getDefaultParams()} as a parent. The collection will defer</em>
<a name="288" href="#288">288</a> <em>     * to its parent for a default value if a particular parameter is not </em>
<a name="289" href="#289">289</a> <em>     * explicitly set in the collection itself.</em>
<a name="290" href="#290">290</a> <em>     * </em>
<a name="291" href="#291">291</a> <em>     * @see #getDefaultParams()</em>
<a name="292" href="#292">292</a> <em>     */</em>
<a name="293" href="#293">293</a>     <strong>public</strong> <a href="../../../../../org/apache/commons/httpclient/params/HttpMethodParams.html">HttpMethodParams</a>() {
<a name="294" href="#294">294</a>         <strong>super</strong>(getDefaultParams());
<a name="295" href="#295">295</a>     }
<a name="296" href="#296">296</a> 
<a name="297" href="#297">297</a>     <em>/**<em>*</em></em>
<a name="298" href="#298">298</a> <em>     * Creates a new collection of parameters with the given parent. </em>
<a name="299" href="#299">299</a> <em>     * The collection will defer to its parent for a default value </em>
<a name="300" href="#300">300</a> <em>     * if a particular parameter is not explicitly set in the collection</em>
<a name="301" href="#301">301</a> <em>     * itself.</em>
<a name="302" href="#302">302</a> <em>     * </em>
<a name="303" href="#303">303</a> <em>     * @param defaults the parent collection to defer to, if a parameter</em>
<a name="304" href="#304">304</a> <em>     * is not explictly set in the collection itself.</em>
<a name="305" href="#305">305</a> <em>     *</em>
<a name="306" href="#306">306</a> <em>     * @see #getDefaultParams()</em>
<a name="307" href="#307">307</a> <em>     */</em>
<a name="308" href="#308">308</a>     <strong>public</strong> <a href="../../../../../org/apache/commons/httpclient/params/HttpMethodParams.html">HttpMethodParams</a>(<a href="../../../../../org/apache/commons/httpclient/params/HttpParams.html">HttpParams</a> defaults) {
<a name="309" href="#309">309</a>         <strong>super</strong>(defaults);
<a name="310" href="#310">310</a>     }
<a name="311" href="#311">311</a> 
<a name="312" href="#312">312</a>     <em>/**<em>*</em></em>
<a name="313" href="#313">313</a> <em>     * Returns the charset to be used for writing HTTP headers.</em>
<a name="314" href="#314">314</a> <em>     * @return The charset</em>
<a name="315" href="#315">315</a> <em>     */</em>
<a name="316" href="#316">316</a>     <strong>public</strong> String getHttpElementCharset() {
<a name="317" href="#317">317</a>         String charset = (String) getParameter(HTTP_ELEMENT_CHARSET);
<a name="318" href="#318">318</a>         <strong>if</strong> (charset == <strong>null</strong>) {
<a name="319" href="#319">319</a>             LOG.warn(<span class="string">"HTTP element charset not configured, using US-ASCII"</span>);
<a name="320" href="#320">320</a>             charset = <span class="string">"US-ASCII"</span>;
<a name="321" href="#321">321</a>         }
<a name="322" href="#322">322</a>         <strong>return</strong> charset;
<a name="323" href="#323">323</a>     }
<a name="324" href="#324">324</a>     
<a name="325" href="#325">325</a>     <em>/**<em>*</em></em>
<a name="326" href="#326">326</a> <em>     * Sets the charset to be used for writing HTTP headers.</em>
<a name="327" href="#327">327</a> <em>     * @param charset The charset</em>
<a name="328" href="#328">328</a> <em>     */</em>
<a name="329" href="#329">329</a>     <strong>public</strong> <strong>void</strong> setHttpElementCharset(String charset) {
<a name="330" href="#330">330</a>         setParameter(HTTP_ELEMENT_CHARSET, charset);
<a name="331" href="#331">331</a>     }
<a name="332" href="#332">332</a> 
<a name="333" href="#333">333</a>     <em>/**<em>*</em></em>
<a name="334" href="#334">334</a> <em>     * Returns the default charset to be used for writing content body, </em>
<a name="335" href="#335">335</a> <em>     * when no charset explicitly specified.</em>
<a name="336" href="#336">336</a> <em>     * @return The charset</em>
<a name="337" href="#337">337</a> <em>     */</em>
<a name="338" href="#338">338</a>     <strong>public</strong> String getContentCharset() {
<a name="339" href="#339">339</a>         String charset = (String) getParameter(HTTP_CONTENT_CHARSET);
<a name="340" href="#340">340</a>         <strong>if</strong> (charset == <strong>null</strong>) {
<a name="341" href="#341">341</a>             LOG.warn(<span class="string">"Default content charset not configured, using ISO-8859-1"</span>);
<a name="342" href="#342">342</a>             charset = <span class="string">"ISO-8859-1"</span>;
<a name="343" href="#343">343</a>         }
<a name="344" href="#344">344</a>         <strong>return</strong> charset;
<a name="345" href="#345">345</a>     }
<a name="346" href="#346">346</a>     
<a name="347" href="#347">347</a>     <em>/**<em>*</em></em>
<a name="348" href="#348">348</a> <em>     * Sets the charset to be used for parsing URIs.</em>
<a name="349" href="#349">349</a> <em>     * @param charset The charset</em>
<a name="350" href="#350">350</a> <em>     */</em>
<a name="351" href="#351">351</a>     <strong>public</strong> <strong>void</strong> setUriCharset(String charset) {
<a name="352" href="#352">352</a>         setParameter(HTTP_URI_CHARSET, charset);
<a name="353" href="#353">353</a>     }
<a name="354" href="#354">354</a> 
<a name="355" href="#355">355</a>     <em>/**<em>*</em></em>
<a name="356" href="#356">356</a> <em>     * Returns the charset to be used for parsing URIs.</em>
<a name="357" href="#357">357</a> <em>     * @return The charset</em>
<a name="358" href="#358">358</a> <em>     */</em>
<a name="359" href="#359">359</a>     <strong>public</strong> String getUriCharset() {
<a name="360" href="#360">360</a>         String charset = (String) getParameter(HTTP_URI_CHARSET);
<a name="361" href="#361">361</a>         <strong>if</strong> (charset == <strong>null</strong>) {
<a name="362" href="#362">362</a>             charset = <span class="string">"UTF-8"</span>;
<a name="363" href="#363">363</a>         }
<a name="364" href="#364">364</a>         <strong>return</strong> charset;
<a name="365" href="#365">365</a>     }
<a name="366" href="#366">366</a>     
<a name="367" href="#367">367</a>     <em>/**<em>*</em></em>
<a name="368" href="#368">368</a> <em>     * Sets the default charset to be used for writing content body,</em>
<a name="369" href="#369">369</a> <em>     * when no charset explicitly specified.</em>
<a name="370" href="#370">370</a> <em>     * @param charset The charset</em>
<a name="371" href="#371">371</a> <em>     */</em>
<a name="372" href="#372">372</a>     <strong>public</strong> <strong>void</strong> setContentCharset(String charset) {
<a name="373" href="#373">373</a>         setParameter(HTTP_CONTENT_CHARSET, charset);
<a name="374" href="#374">374</a>     }
<a name="375" href="#375">375</a> 
<a name="376" href="#376">376</a>     <em>/**<em>*</em></em>
<a name="377" href="#377">377</a> <em>     * Returns the charset to be used for {@link org.apache.commons.httpclient.Credentials}. If</em>
<a name="378" href="#378">378</a> <em>     * not configured the {@link #HTTP_ELEMENT_CHARSET HTTP element charset} is used.</em>
<a name="379" href="#379">379</a> <em>     * @return The charset</em>
<a name="380" href="#380">380</a> <em>     */</em>
<a name="381" href="#381">381</a>     <strong>public</strong> String getCredentialCharset() {
<a name="382" href="#382">382</a>         String charset = (String) getParameter(CREDENTIAL_CHARSET);
<a name="383" href="#383">383</a>         <strong>if</strong> (charset == <strong>null</strong>) {
<a name="384" href="#384">384</a>             LOG.debug(<span class="string">"Credential charset not configured, using HTTP element charset"</span>);
<a name="385" href="#385">385</a>             charset = getHttpElementCharset();
<a name="386" href="#386">386</a>         }
<a name="387" href="#387">387</a>         <strong>return</strong> charset;
<a name="388" href="#388">388</a>     }
<a name="389" href="#389">389</a>     
<a name="390" href="#390">390</a>     <em>/**<em>*</em></em>
<a name="391" href="#391">391</a> <em>     * Sets the charset to be used for writing HTTP headers.</em>
<a name="392" href="#392">392</a> <em>     * @param charset The charset</em>
<a name="393" href="#393">393</a> <em>     */</em>
<a name="394" href="#394">394</a>     <strong>public</strong> <strong>void</strong> setCredentialCharset(String charset) {
<a name="395" href="#395">395</a>         setParameter(CREDENTIAL_CHARSET, charset);
<a name="396" href="#396">396</a>     }
<a name="397" href="#397">397</a>     
<a name="398" href="#398">398</a>     <em>/**<em>*</em></em>
<a name="399" href="#399">399</a> <em>     * Returns {@link HttpVersion HTTP protocol version} to be used by the </em>
<a name="400" href="#400">400</a> <em>     * {@link org.apache.commons.httpclient.HttpMethod HTTP methods} that </em>
<a name="401" href="#401">401</a> <em>     * this collection of parameters applies to. </em>
<a name="402" href="#402">402</a> <em>     *</em>
<a name="403" href="#403">403</a> <em>     * @return {@link HttpVersion HTTP protocol version}</em>
<a name="404" href="#404">404</a> <em>     */</em>
<a name="405" href="#405">405</a>     <strong>public</strong> <a href="../../../../../org/apache/commons/httpclient/HttpVersion.html">HttpVersion</a> getVersion() { 
<a name="406" href="#406">406</a>         Object param = getParameter(PROTOCOL_VERSION);
<a name="407" href="#407">407</a>         <strong>if</strong> (param == <strong>null</strong>) {
<a name="408" href="#408">408</a>             <strong>return</strong> HttpVersion.HTTP_1_1;
<a name="409" href="#409">409</a>         }
<a name="410" href="#410">410</a>         <strong>return</strong> (HttpVersion)param;
<a name="411" href="#411">411</a>     }
<a name="412" href="#412">412</a>     
<a name="413" href="#413">413</a>     <em>/**<em>*</em></em>
<a name="414" href="#414">414</a> <em>     * Assigns the {@link HttpVersion HTTP protocol version} to be used by the </em>
<a name="415" href="#415">415</a> <em>     * {@link org.apache.commons.httpclient.HttpMethod HTTP methods} that </em>
<a name="416" href="#416">416</a> <em>     * this collection of parameters applies to. </em>
<a name="417" href="#417">417</a> <em>     *</em>
<a name="418" href="#418">418</a> <em>     * @param version the {@link HttpVersion HTTP protocol version}</em>
<a name="419" href="#419">419</a> <em>     */</em>
<a name="420" href="#420">420</a>     <strong>public</strong> <strong>void</strong> setVersion(<a href="../../../../../org/apache/commons/httpclient/HttpVersion.html">HttpVersion</a> version) {
<a name="421" href="#421">421</a>         setParameter(PROTOCOL_VERSION, version);
<a name="422" href="#422">422</a>     }
<a name="423" href="#423">423</a> 
<a name="424" href="#424">424</a> 
<a name="425" href="#425">425</a>     <em>/**<em>*</em></em>
<a name="426" href="#426">426</a> <em>     * Returns {@link CookiePolicy cookie policy} to be used by the </em>
<a name="427" href="#427">427</a> <em>     * {@link org.apache.commons.httpclient.HttpMethod HTTP methods} </em>
<a name="428" href="#428">428</a> <em>     * this collection of parameters applies to. </em>
<a name="429" href="#429">429</a> <em>     *</em>
<a name="430" href="#430">430</a> <em>     * @return {@link CookiePolicy cookie policy}</em>
<a name="431" href="#431">431</a> <em>     */</em>
<a name="432" href="#432">432</a>     <strong>public</strong> String getCookiePolicy() { 
<a name="433" href="#433">433</a>         Object param = getParameter(COOKIE_POLICY);
<a name="434" href="#434">434</a>         <strong>if</strong> (param == <strong>null</strong>) {
<a name="435" href="#435">435</a>             <strong>return</strong> CookiePolicy.DEFAULT;
<a name="436" href="#436">436</a>         }
<a name="437" href="#437">437</a>         <strong>return</strong> (String)param;
<a name="438" href="#438">438</a>     }
<a name="439" href="#439">439</a>     
<a name="440" href="#440">440</a>     <em>/**<em>*</em></em>
<a name="441" href="#441">441</a> <em>     * Assigns the {@link CookiePolicy cookie policy} to be used by the </em>
<a name="442" href="#442">442</a> <em>     * {@link org.apache.commons.httpclient.HttpMethod HTTP methods} </em>
<a name="443" href="#443">443</a> <em>     * this collection of parameters applies to. </em>
<a name="444" href="#444">444</a> <em>     *</em>
<a name="445" href="#445">445</a> <em>     * @param policy the {@link CookiePolicy cookie policy}</em>
<a name="446" href="#446">446</a> <em>     */</em>
<a name="447" href="#447">447</a>     <strong>public</strong> <strong>void</strong> setCookiePolicy(String policy) {
<a name="448" href="#448">448</a>         setParameter(COOKIE_POLICY, policy);
<a name="449" href="#449">449</a>     }
<a name="450" href="#450">450</a> 
<a name="451" href="#451">451</a>     <em>/**<em>*</em></em>
<a name="452" href="#452">452</a> <em>     * Returns the default socket timeout (&lt;tt>SO_TIMEOUT&lt;/tt>) in milliseconds which is the </em>
<a name="453" href="#453">453</a> <em>     * timeout for waiting for data. A timeout value of zero is interpreted as an infinite </em>
<a name="454" href="#454">454</a> <em>     * timeout.  </em>
<a name="455" href="#455">455</a> <em>     *</em>
<a name="456" href="#456">456</a> <em>     * @return timeout in milliseconds</em>
<a name="457" href="#457">457</a> <em>     */</em>
<a name="458" href="#458">458</a>     <strong>public</strong> <strong>int</strong> getSoTimeout() {
<a name="459" href="#459">459</a>         <strong>return</strong> getIntParameter(SO_TIMEOUT, 0);
<a name="460" href="#460">460</a>     }
<a name="461" href="#461">461</a> 
<a name="462" href="#462">462</a>     <em>/**<em>*</em></em>
<a name="463" href="#463">463</a> <em>     * Sets the default socket timeout (&lt;tt>SO_TIMEOUT&lt;/tt>) in milliseconds which is the </em>
<a name="464" href="#464">464</a> <em>     * timeout for waiting for data. A timeout value of zero is interpreted as an infinite </em>
<a name="465" href="#465">465</a> <em>     * timeout.  </em>
<a name="466" href="#466">466</a> <em>     *</em>
<a name="467" href="#467">467</a> <em>     * @param timeout Timeout in milliseconds</em>
<a name="468" href="#468">468</a> <em>     */</em>
<a name="469" href="#469">469</a>     <strong>public</strong> <strong>void</strong> setSoTimeout(<strong>int</strong> timeout) {
<a name="470" href="#470">470</a>         setIntParameter(SO_TIMEOUT, timeout);
<a name="471" href="#471">471</a>     }
<a name="472" href="#472">472</a> 
<a name="473" href="#473">473</a>     <em>/**<em>*</em></em>
<a name="474" href="#474">474</a> <em>     * Sets the virtual host name.</em>
<a name="475" href="#475">475</a> <em>     * </em>
<a name="476" href="#476">476</a> <em>     * @param hostname The host name</em>
<a name="477" href="#477">477</a> <em>     */</em>
<a name="478" href="#478">478</a>     <strong>public</strong> <strong>void</strong> setVirtualHost(<strong>final</strong> String hostname) {
<a name="479" href="#479">479</a>         setParameter(VIRTUAL_HOST, hostname);
<a name="480" href="#480">480</a>     }
<a name="481" href="#481">481</a> 
<a name="482" href="#482">482</a>     <em>/**<em>*</em></em>
<a name="483" href="#483">483</a> <em>     * Returns the virtual host name.</em>
<a name="484" href="#484">484</a> <em>     * </em>
<a name="485" href="#485">485</a> <em>     * @return The virtual host name</em>
<a name="486" href="#486">486</a> <em>     */</em>
<a name="487" href="#487">487</a>     <strong>public</strong> String getVirtualHost() {
<a name="488" href="#488">488</a>         <strong>return</strong> (String) getParameter(VIRTUAL_HOST);
<a name="489" href="#489">489</a>     }
<a name="490" href="#490">490</a>     
<a name="491" href="#491">491</a>     <strong>private</strong> <strong>static</strong> <strong>final</strong> String[] PROTOCOL_STRICTNESS_PARAMETERS = {
<a name="492" href="#492">492</a>         UNAMBIGUOUS_STATUS_LINE,
<a name="493" href="#493">493</a>         SINGLE_COOKIE_HEADER,
<a name="494" href="#494">494</a>         STRICT_TRANSFER_ENCODING,
<a name="495" href="#495">495</a>         REJECT_HEAD_BODY,
<a name="496" href="#496">496</a>         WARN_EXTRA_INPUT
<a name="497" href="#497">497</a>     };
<a name="498" href="#498">498</a>     
<a name="499" href="#499">499</a>     <em>/**<em>*</em></em>
<a name="500" href="#500">500</a> <em>     * Makes the {@link org.apache.commons.httpclient.HttpMethod HTTP methods} </em>
<a name="501" href="#501">501</a> <em>     * strictly follow the HTTP protocol specification (RFC 2616 and other relevant RFCs).</em>
<a name="502" href="#502">502</a> <em>     * It must be noted that popular HTTP agents have different degree of HTTP protocol </em>
<a name="503" href="#503">503</a> <em>     * compliance and some HTTP serves are programmed to expect the behaviour that does not </em>
<a name="504" href="#504">504</a> <em>     * strictly adhere to the HTTP specification.  </em>
<a name="505" href="#505">505</a> <em>     */</em>
<a name="506" href="#506">506</a>     <strong>public</strong> <strong>void</strong> makeStrict() {
<a name="507" href="#507">507</a>         setParameters(PROTOCOL_STRICTNESS_PARAMETERS, Boolean.TRUE);
<a name="508" href="#508">508</a>         setIntParameter(STATUS_LINE_GARBAGE_LIMIT, 0);
<a name="509" href="#509">509</a>     }
<a name="510" href="#510">510</a> 
<a name="511" href="#511">511</a>     <em>/**<em>*</em></em>
<a name="512" href="#512">512</a> <em>     * Makes the {@link org.apache.commons.httpclient.HttpMethod HTTP methods}</em>
<a name="513" href="#513">513</a> <em>     * attempt to mimic the exact behaviour of commonly used HTTP agents, </em>
<a name="514" href="#514">514</a> <em>     * which many HTTP servers expect, even though such behaviour may violate   </em>
<a name="515" href="#515">515</a> <em>     * the HTTP protocol specification (RFC 2616 and other relevant RFCs).</em>
<a name="516" href="#516">516</a> <em>     */</em>
<a name="517" href="#517">517</a>     <strong>public</strong> <strong>void</strong> makeLenient() {
<a name="518" href="#518">518</a>         setParameters(PROTOCOL_STRICTNESS_PARAMETERS, Boolean.FALSE);
<a name="519" href="#519">519</a>         setIntParameter(STATUS_LINE_GARBAGE_LIMIT, Integer.MAX_VALUE);
<a name="520" href="#520">520</a>     }
<a name="521" href="#521">521</a> 
<a name="522" href="#522">522</a> }
</pre>
<hr/><div id="footer">This page was automatically generated by <a href="http://maven.apache.org/">Maven</a></div></body>
</html>

